You can import this changeset into BK by piping this whole message to:
'| bk receive [path to repository]' or apply the patch as usual.

===================================================================


ChangeSet@1.1422.1.14, 2003-11-13 04:37:54-02:00, acme@conectiva.com.br
  o AF_UNIX: use sk_wait_error


 af_unix.c |   14 ++++++--------
 1 files changed, 6 insertions(+), 8 deletions(-)


diff -Nru a/net/unix/af_unix.c b/net/unix/af_unix.c
--- a/net/unix/af_unix.c	Sat Nov 15 17:01:02 2003
+++ b/net/unix/af_unix.c	Sat Nov 15 17:01:02 2003
@@ -929,8 +929,8 @@
 
 		timeo = unix_wait_for_peer(other, timeo);
 
-		err = sock_intr_errno(timeo);
-		if (signal_pending(current))
+		err = __sk_wait_error(timeo);
+		if (err)
 			goto out;
 		sock_put(other);
 		goto restart;
@@ -1297,8 +1297,8 @@
 
 		timeo = unix_wait_for_peer(other, timeo);
 
-		err = sock_intr_errno(timeo);
-		if (signal_pending(current))
+		err = __sk_wait_error(timeo);
+		if (err)
 			goto out_free;
 
 		goto restart;
@@ -1534,10 +1534,8 @@
 		prepare_to_wait(sk->sk_sleep, &wait, TASK_INTERRUPTIBLE);
 
 		if (skb_queue_len(&sk->sk_receive_queue) ||
-		    sk->sk_err ||
-		    (sk->sk_shutdown & RCV_SHUTDOWN) ||
-		    signal_pending(current) ||
-		    !timeo)
+		    sk_wait_error(sk, timeo) ||
+		    (sk->sk_shutdown & RCV_SHUTDOWN))
 			break;
 
 		set_bit(SOCK_ASYNC_WAITDATA, &sk->sk_socket->flags);

===================================================================


This BitKeeper patch contains the following changesets:
1.1422.1.14
## Wrapped with gzip_uu ##


M'XL( .YWMC\  \54;6_3,!#^7/^*DR:A59#DSF]I@CIMK, FT#9U%/@6>:E+
MJJY)E;@=2/GQN 4V.L:F34C8EDZZ>Y[S^>Z1=V#4V#KMF'QNV0X<58U+.WE5
MVMQ-5R;,JWEX4?O L*I\("JJN8W6V.ABQJ/2NH"'.B3F$6?&Y06L;-VD'0K%
MM<=]6]BT,WS]=O3^8,A8OP^'A2F_V'/KH-]GKJI7YG+<[!M77%9EZ&I3-G/K
M-G>WU]"6(W*_%<4"E6Y)HXS;G,9$1I(=(Y<]+=FZM/W;Y6]G$40D4 LAXI:D
M1L4&0"%)SL.U 101440"4*8B3I4,D*>(<&=J>$X0('L%__89ARR'"@[>9*.3
MX\\I+!L+S2R[,E.7V;JN:O8.2/84L;.;9K+@D8LQ-,CV'BC=SSA:EM.OD9ED
M:QOFO[\A47&+V"/>&J,TQ9-<3";*"*ON[M=?TOV:22Q5B\03O=')G]B'!?/4
M<MFXMHN%K?=K.RZ,NR>7($1"+3E2BW&L^48_2M\6CE3W"T=#T/LOPEFW]Q2"
M^FISO [.[NCT$]0T2 0'SHX3(;SI=/R%T(<LVRI@UTWGMNJ^]/'I!':]K\L&
M?O:X9GI+CZ4J$8/T5"5Q0P6_MFG-[ 7\H$+;_D1X9[#G84VQ=./JJH1G,#S\
EF)T?C3X,3C^==+LW/UI>V'S6+.?]W"2)CJUAWP'DP=@@- 4     
 
